Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003013OCamlOCaml generalpublic2004-07-28 06:532010-04-30 06:54
Reporteradministrator 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12.0+dev 
Summary0003013: module_type_of_sig
DescriptionFull_Name: Evgeny Chukreev
Version:
OS:
Submission from: host134.t3n.sotline.ru (81.1.200.134)


In addition to PR#2737.
Another one copy&past killer feature.
Useful becouse 'include' works only with module types, not signatures.

module ExtString :
sig
    include (module_type_of_sig String)

    val new_value : ...
end

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004747)
Yoric (reporter)
2008-11-14 17:33

Every so often, I need that feature. The workaround of getting a .mli to be generated by the Makefile and then building a module type from it is, well, messy.
(0004755)
mottl (reporter)
2008-11-17 23:39

I, too, would like to see some feature that allowed me to access/bind the module type of the inferred signature of a module (including module files). I don't think that this would require a new keyword, because it should be clear from the context that the signature is requested.
(0004771)
dario (reporter)
2008-11-20 18:22

I'll add my voice to those who have encountered this problem before and wished for this feature...
(0004973)
jm (reporter)
2009-05-27 01:39

I want this feature too. Please.
(0004974)
lavi (reporter)
2009-05-27 11:27

A simpler solution would be to make file.mli generate signature File, or to make things less ambiguous with module, signature FILE
(0005423)
garrigue (manager)
2010-04-30 06:54

You wish was granted by Xavier Leroy.
You can write "module type of <module>" since revision 10227.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2008-11-14 17:33 Yoric Note Added: 0004747
2008-11-17 23:39 mottl Note Added: 0004755
2008-11-20 18:22 dario Note Added: 0004771
2009-05-27 01:39 jm Note Added: 0004973
2009-05-27 11:27 lavi Note Added: 0004974
2010-04-30 06:54 garrigue Note Added: 0005423
2010-04-30 06:54 garrigue Status acknowledged => closed
2010-04-30 06:54 garrigue Resolution open => fixed
2010-04-30 06:54 garrigue Fixed in Version => 3.12.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker